using System.Text.Json.Serialization;
using eSuite.Core.Miscellaneous;

namespace e_suite.API.Common.models;

public class CreateFormInstance
{
    [JsonPropertyName("templateId")]
    public GeneralIdRef TemplateId { get; set; } = null!;

    [JsonPropertyName("version")]
    public long Version { get; set; }

    [JsonPropertyName("customFieldValues")]
    public List<CustomFieldValues> CustomFieldValues { get; set; } = new();

    [JsonPropertyName("guid")]
    public Guid? Guid { get; set; }
}